Bug 44255 - Data URI Support for RTF ExternalGraphic Throws Null Pointer Exception
Summary: Data URI Support for RTF ExternalGraphic Throws Null Pointer Exception
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: rtf (show other bugs)
Version: 0.94
Hardware: PC Windows XP
: P1 critical
Target Milestone: ---
Assignee: fop-dev
URL: http://www.nabble.com/Data-URI-Suppor...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-16 20:46 UTC by Peter Ryan
Modified: 2012-04-01 06:49 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Ryan 2008-01-16 20:46:06 UTC
See discussion in this link
(http://www.nabble.com/Data-URI-Support-for-RTF-ExternalGraphic-tt14906012.html)

DataURIResolver does not properly set system ID which causes a null pointer
exception when the image is loaded using RTF external-graphic src=data:image/...
Comment 1 Jeremias Maerki 2008-01-17 00:51:31 UTC
This problem doesn't occur anymore since revision 611278 (FOP Trunk).
Comment 2 Glenn Adams 2012-04-01 06:49:44 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed